Eclipse Platform Release 3.7

## org.eclipse.ui.actions
Class OpenPerspectiveAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.OpenPerspectiveAction

All Implemented Interfaces:
  IAction, IPluginContribution

    public final class OpenPerspectiveAction

extends Action
implements IPluginContribution

Opens a perspective.

Since:
  3.1

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`OpenPerspectiveAction(IWorkbenchWindow window, IPerspectiveDescriptor descriptor, PerspectiveMenu callback)` Constructs a new instance of `OpenPerspectiveAction`

Method Summary
`String` `getLocalId()`
`String` `getPluginId()`
`void` `runWithEvent(Event event)` The default implementation of this `IAction` method ignores the event argument, and simply calls `run()`.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### OpenPerspectiveAction

    public OpenPerspectiveAction(IWorkbenchWindow window,
                                 IPerspectiveDescriptor descriptor,
                                 PerspectiveMenu callback)

  Constructs a new instance of `OpenPerspectiveAction`

  Parameters:
    `window` - The workbench window in which this action is created; should not be `null`.
    `descriptor` - The descriptor for the perspective that this action should open; must not be `null`.
    `callback` - The perspective menu who will handle the actual execution of this action; should not be `null`.

Method Detail

### runWithEvent

    public final void runWithEvent(Event event)

  Description copied from class: `Action`
  The default implementation of this `IAction` method ignores the event argument, and simply calls `run()`. Subclasses should override this method if they need information from the triggering event, or override `run()` if not.

  Specified by:
    `runWithEvent` in interface `IAction`
  Overrides:
    `runWithEvent` in class `Action`
  Parameters:
    `event` - the SWT event which triggered this action being run

### getLocalId

    public String getLocalId()

  Specified by:
    `getLocalId` in interface `IPluginContribution`
  Returns:
    the local id of the contribution. Must not be `null`. This should correspond to the extension-specific identifier for a given contribution.

### getPluginId

    public String getPluginId()

  Specified by:
    `getPluginId` in interface `IPluginContribution`
  Returns:
    the id of the originating plugin. Can be `null` if this contribution did not originate from a plugin.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.